org.eclipse.viatra.cep.vepl.jvmmodel

## Class NamingProvider

- java.lang.Object
- - org.eclipse.viatra.cep.vepl.jvmmodel.NamingProvider

-     public class NamingProvider
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NamingProvider.NamingPurpose`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANONYMOUS_PATTERN_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `ATOMIC_PATTERN_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `COMPLEX_PATTERN_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `EVENTCLASS_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `JOBS_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `MAPPING_CLASS_NAME`
    `static java.lang.String` | `MAPPING_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `QUERYRESULT_EVENTCLASS_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `QUERYRESULT_PATTERN_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `RULES_PACKAGE_NAME_ELEMENT`
    `static java.lang.String` | `TRAIT_PACKAGE_NAME_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingProvider()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<NamingProvider.NamingPurpose,java.lang.String>` | `asStrings(java.util.HashMap<NamingProvider.NamingPurpose,org.eclipse.xtext.naming.QualifiedName> packageNames)`
    `org.eclipse.xtext.naming.QualifiedName` | `getAnonymousName(EventPattern element, int suffix)`
    `org.eclipse.xtext.naming.QualifiedName` | `getClassFqn(ModelElement element)`
    `org.eclipse.xtext.naming.QualifiedName` | `getFactoryFqn(EventModel model)`
    `org.eclipse.xtext.naming.QualifiedName` | `getFqn(Rule rule)`
    `org.eclipse.xtext.naming.QualifiedName` | `getJobClassName(Rule rule)`
    `org.eclipse.xtext.naming.QualifiedName` | `getPackageFqn(EventModel model)`
    `org.eclipse.xtext.naming.QualifiedName` | `getPackageName(ModelElement modelElement)`
    `java.util.HashMap<NamingProvider.NamingPurpose,org.eclipse.xtext.naming.QualifiedName>` | `getPackageNames(ModelElement modelElement)`
    `org.eclipse.xtext.naming.QualifiedName` | `getPatternFqn(ModelElement element)`
    `org.eclipse.xtext.naming.QualifiedName` | `getQueryEngine2CepEngineClassFqn(QueryResultChangeEventPattern pattern)`
    `org.eclipse.xtext.naming.QualifiedName` | `getTraitInterfaceFqn(ModelElement element)`
    `org.eclipse.xtext.naming.QualifiedName` | `getTraitSpecificationFqn(ModelElement element)`
    `java.lang.String` | `getType(org.eclipse.xtext.naming.QualifiedName fqn)`
    `boolean` | `isEvent(org.eclipse.xtext.naming.QualifiedName fqn)`
    `boolean` | `isRule(org.eclipse.xtext.naming.QualifiedName fqn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRAIT_PACKAGE_NAME_ELEMENT

          public static final java.lang.String TRAIT_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### EVENTCLASS_PACKAGE_NAME_ELEMENT

          public static final java.lang.String EVENTCLASS_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### QUERYRESULT_EVENTCLASS_PACKAGE_NAME_ELEMENT

          public static final java.lang.String QUERYRESULT_EVENTCLASS_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### ATOMIC_PATTERN_PACKAGE_NAME_ELEMENT

          public static final java.lang.String ATOMIC_PATTERN_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### QUERYRESULT_PATTERN_PACKAGE_NAME_ELEMENT

          public static final java.lang.String QUERYRESULT_PATTERN_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### COMPLEX_PATTERN_PACKAGE_NAME_ELEMENT

          public static final java.lang.String COMPLEX_PATTERN_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### ANONYMOUS_PATTERN_PACKAGE_NAME_ELEMENT

          public static final java.lang.String ANONYMOUS_PATTERN_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### RULES_PACKAGE_NAME_ELEMENT

          public static final java.lang.String RULES_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### JOBS_PACKAGE_NAME_ELEMENT

          public static final java.lang.String JOBS_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### MAPPING_PACKAGE_NAME_ELEMENT

          public static final java.lang.String MAPPING_PACKAGE_NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### MAPPING_CLASS_NAME

          public static final java.lang.String MAPPING_CLASS_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NamingProvider

          public NamingProvider()

  - ### Method Detail

    - #### getTraitInterfaceFqn

          public org.eclipse.xtext.naming.QualifiedName getTraitInterfaceFqn(ModelElement element)

    - #### getTraitSpecificationFqn

          public org.eclipse.xtext.naming.QualifiedName getTraitSpecificationFqn(ModelElement element)

    - #### getClassFqn

          public org.eclipse.xtext.naming.QualifiedName getClassFqn(ModelElement element)

    - #### getPatternFqn

          public org.eclipse.xtext.naming.QualifiedName getPatternFqn(ModelElement element)

    - #### getPackageNames

          public java.util.HashMap<NamingProvider.NamingPurpose,org.eclipse.xtext.naming.QualifiedName> getPackageNames(ModelElement modelElement)

    - #### getPackageName

          public org.eclipse.xtext.naming.QualifiedName getPackageName(ModelElement modelElement)

    - #### asStrings

          public static java.util.Map<NamingProvider.NamingPurpose,java.lang.String> asStrings(java.util.HashMap<NamingProvider.NamingPurpose,org.eclipse.xtext.naming.QualifiedName> packageNames)

    - #### getAnonymousName

          public org.eclipse.xtext.naming.QualifiedName getAnonymousName(EventPattern element,
                                                                         int suffix)

    - #### getFqn

          public org.eclipse.xtext.naming.QualifiedName getFqn(Rule rule)

    - #### getJobClassName

          public org.eclipse.xtext.naming.QualifiedName getJobClassName(Rule rule)

    - #### getQueryEngine2CepEngineClassFqn

          public org.eclipse.xtext.naming.QualifiedName getQueryEngine2CepEngineClassFqn(QueryResultChangeEventPattern pattern)

    - #### getPackageFqn

          public org.eclipse.xtext.naming.QualifiedName getPackageFqn(EventModel model)

    - #### getFactoryFqn

          public org.eclipse.xtext.naming.QualifiedName getFactoryFqn(EventModel model)

    - #### isEvent

          public boolean isEvent(org.eclipse.xtext.naming.QualifiedName fqn)

    - #### isRule

          public boolean isRule(org.eclipse.xtext.naming.QualifiedName fqn)

    - #### getType

          public java.lang.String getType(org.eclipse.xtext.naming.QualifiedName fqn)